View Issue Details

IDProjectCategoryView StatusLast Update
0000116Bacula-Webbug-phppublic2014-05-08 09:47
ReporterleolageAssigned Todavide 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformLinuxOSCentos 6OS Version6.4
Product Version6.0.0 
Target Version6.0.1Fixed in Version6.0.1 
Summary0000116: division by zero after update to 6.0.0
DescriptionWhen I access report for clients on bacula-web, receive this error:

Warning: Division by zero in /var/www/html/bacula-web/backupjob-report.php on line 120 Warning: Division by zero in /var/www/html/bacula-web/backupjob-report.php on line 120 Warning: Division by zero in /var/www/html/bacula-web/backupjob-report.php on line 120 Warning: Division by zero in /var/www/html/bacula-web/backupjob-report.php on line 120

Apper, data is correct, and division by 0 is when job is failed... on this case, have 4 jobs faled, and 4 errors on line 120

Thank you
Steps To ReproduceAccess /bacula-web/backupjob-report.php of one client


Warning: Division by zero in /var/www/html/bacula-web/backupjob-report.php on line 120 Warning: Division by zero in /var/www/html/bacula-web/backupjob-report.php on line 120 Warning: Division by zero in /var/www/html/bacula-web/backupjob-report.php on line 120 Warning: Division by zero in /var/www/html/bacula-web/backupjob-report.php on line 120
Additional InformationApper this error only bacula client have job faileds in past. (not certain)

Thank you
TagsNo tags attached.

Activities

leolage

2013-11-19 18:29

reporter  

baculaweb6.png (19,893 bytes)
baculaweb6.png (19,893 bytes)

davide

2014-03-31 14:47

manager   ~0000386

Code need a bit of cleanup.

It'd be fixed in next release (hopefuly coming soon)

Regards

davide

2014-05-08 09:47

manager   ~0000389

Problem solved and a bugfix will be included in next release

Issue History

Date Modified Username Field Change
2013-11-19 18:29 leolage New Issue
2013-11-19 18:29 leolage File Added: baculaweb6.png
2013-11-20 11:34 davide Assigned To => davide
2013-11-20 11:34 davide Status new => confirmed
2013-11-20 11:34 davide Status confirmed => assigned
2013-11-20 11:34 davide Target Version => 6.0.1
2013-11-20 11:35 davide Category (No Category) => bug-php
2014-03-31 14:47 davide Note Added: 0000386
2014-03-31 14:47 davide Status assigned => acknowledged
2014-05-08 09:47 davide Note Added: 0000389
2014-05-08 09:47 davide Status acknowledged => resolved
2014-05-08 09:47 davide Fixed in Version => 6.0.1
2014-05-08 09:47 davide Resolution open => fixed